Loading...
Searching...
No Matches
fcache Struct Reference

File cache. More...

`#include <kdumpfile-priv.h>`

## Data Fields

unsigned long | refcnt
| Reference counter.
kdump_attr_value_t | mmap_policy
| Policy for using mmap(2) vs.
size_t | pgsz
| Page size (in bytes).
size_t | mmapsz
| Size of mmap'ed regions.
struct cache * | cache
| Main cache (for mmap'ed regions).
struct cache * | fbcache
| Fallback cache (for read regions).
struct fcache_fileinfo | info []
| Information about the files.

## Detailed Description

File cache.

This file cache uses one memory cache to access data from multiple files. These files are denoted by an array of open file descriptors (see fcache_new), and later referenced by an index into that array. This file index is stored in the low bits of the cache key, which are normally zero, because cache entries are aligned to a page boundary. As a consequence, the number of files is limited to (host) page size in bytes.

## Field Documentation

## mmap_policy

kdump_attr_value_t fcache::mmap_policy

Policy for using mmap(2) vs.

read(2).

See also
  kdump_mmap_policy_t

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h